%define url_ver %(echo %{version} | cut -d "." -f -2)

%define api_version	3.0
%define lib_major	0
%define lib_name	%mklibname gtksourceviewmm %{api_version} %{lib_major}
%define develname	%mklibname -d gtksourceviewmm %{api_version}

Summary:	Source code viewing library
Name:		gtksourceviewmm
Version:	3.21.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		Editors
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.18.0
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.46.1
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.18.0
BuildRequires:	doxygen

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:	Source code viewing library
Group:	System/Libraries

%description -n %{lib_name}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

%files -n %{lib_name}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgtksourceviewmm-%{api_version}.so.%{lib_major}{,.*}

#--------------------------------------------------------------------

%package -n %develname
Summary:        Libraries and include files for GtkSourceView
Group:          Development/C++
Requires: 	%lib_name = %version
Provides:	libgtksourceviewmm-devel = %{version}-%{release}
Provides:	libgtksourceviewmm-%{api_version}-devel = %{version}-%{release}

%description -n %develname
GtkSourceView development files 

This package contains the C++ language bindings for GtkSourceview.

%files -n %develname
%doc %_datadir/doc/gtksourceviewmm-%{api_version}/
%_datadir/devhelp/books/gtksourceviewmm-%{api_version}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%_libdir/gtksourceviewmm*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

rm -fr %buildroot%_libdir/*.la


%changelog
* Mon Nov 14 2016 ovitters <ovitters> 3.21.3-1.mga6
+ Revision: 1067117
- new version 3.21.3

* Sun Sep 18 2016 ovitters <ovitters> 3.21.2-1.mga6
+ Revision: 1053978
- new version 3.21.2

* Mon Feb 15 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960591
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 fwang <fwang> 3.18.0-1.mga6
+ Revision: 883004
- bump req

  + tv <tv>
    - new release

* Tue Aug 11 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 862472
- new version 3.17.1

* Mon Jun 22 2015 ovitters <ovitters> 3.12.0-1.mga6
+ Revision: 839787
- new version 3.12.0

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-5.mga5
+ Revision: 750781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-4.mga5
+ Revision: 680031
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2.0-3.mga4
+ Revision: 523989
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 3.2.0-2.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sat Jan 12 2013 umeabot <umeabot> 3.2.0-2.mga3
+ Revision: 352936
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 28 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 150009
- new version 3.2.0

* Mon Jun 27 2011 fwang <fwang> 3.0.0-1.mga2
+ Revision: 114279
- new version 3.0.0

* Sat Jun 25 2011 dmorgan <dmorgan> 2.10.2-1.mga2
+ Revision: 113793
- Fix buildrequires
- imported package gtksourceviewmm

